// compontents/chat/chat.js

Component({
  relations: {
    '../discuss/discuss': {
      type: 'child', // 关联的目标节点应为子节点
      linked: function(target) {
        // 每次有custom-li被插入时执行，target是该节点实例对象，触发在该节点attached生命周期之后
        console.log(target)
      },
      linkChanged: function(target) {
        // 每次有custom-li被移动后执行，target是该节点实例对象，触发在该节点moved生命周期之后
        console.log(target)
      },
      unlinked: function(target) {
        // 每次有custom-li被移除时执行，target是该节点实例对象，触发在该节点detached生命周期之后
        console.log(target)
      }
    }
  },
  /**
   * 组件的属性列表
   */
  properties: {
    productionData: {
      type: Object,
      value: {}
    },
    title: {
      type: String,
      value: ''      
    },
    query: {
      type: String,
      value: ''          
    },
    type: {
      type: String,
      value: '' 
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    text: '',
    chatDatas: [],
    animationData: {},
  },

  /**
   * 组件的方法列表
   */
  methods: {
    uploadImage (e) {
      const type = this.properties.type;
      wx.navigateTo({
        url: '../input_content/input_content?type=' + type
      })
    },
    listenerButtonPreviewImage: function(e) {
      let imgUrl = [];
      imgUrl.push(e.target.dataset.img);
      wx.previewImage({
          current: '', // 当前显示图片的http链接
          urls: imgUrl, // 需要预览的图片http链接列表
          //这根本就不走
          success: function(res) {
              //console.log(res);
          },
          //也根本不走
          fail: function() {
              //console.log('fail')
          }
      })
    },
    shareImage: function(e){
      console.log(e);
      //分享查询单条的时候会用到这两个值
      const postId = e.currentTarget.dataset.postsid;
      this.share.showPopup(postId);
    },
    _getAllLi: function(){
      // 使用getRelationNodes可以获得nodes数组，包含所有已关联的custom-li，且是有序的
      var nodes = this.getRelationNodes('../discuss/discuss');
      console.log(nodes);
    }
  },
  ready: function(){
    this._getAllLi()
    this.share = this.selectComponent("#share");
  }
})
